
{******************************************}
{                                          }
{             FastReport VCL               }
{             Controls Icons               }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frControlsRes;

interface

{$I frVer.inc}

uses
  SysUtils, Classes, TypInfo,
  {$IFDEF FR_COM}
  ComObj, FastReport_TLB, DispatchablePersistent,
  {$ENDIF}
  Controls, Buttons, Graphics,
  frResources, frGraphics;

type
  { TfrcImageResources }

  TfrcImageResources = class(TfrImageResources)
  private
    FMainButtonImages: TImageList;
    function GetMainButtonImages: TImageList;
  protected
    procedure ClearFields; override;
  public
    procedure SetButtonImages(Images: TBitmap; Clear: Boolean = False);
    property MainButtonImages: TImageList read GetMainButtonImages;
    property ImagesPPI;
  end;


function frcImages: TfrcImageResources;

implementation
end.
