{*******************************************}
{                                           }
{          FastQueryBuilder 1.01            }
{                                           }
{            Copyright (c) 2005             }
{             Fast Reports Inc.             }
{                                           }
{*******************************************}

{$I fqb.inc}

unit fqbFIBEngine;

interface

uses
  Windows, Messages, Classes, Dialogs, DB
{$IFDEF Delphi6}
  ,Variants
{$ENDIF}
  ,fqbClass, FIBDatabase, pFIBDatabase, FIBDataSet, pFIBDataSet;

type
  TfqbFIBEngine = class(TfqbEngine)
  private
    FDatabase: TpFIBDatabase;
    FQuery: TFIBDataSet;
    procedure SetDatabase(Value: TpFIBDatabase);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure ReadFieldList(const ATableName: string; var AFieldList: TfqbFieldList); override;
    procedure ReadTableList(ATableList: TStrings); override;
    function ResultDataSet: TDataSet; override;
    procedure SetSQL(const Value: string); override;
  published
    property Database: TpFIBDatabase read FDatabase write SetDatabase;
  end;

implementation
end.
