{*******************************************}
{                                           }
{          FastQueryBuilder 1.03            }
{                                           }
{            Copyright (c) 2005             }
{             Fast Reports Inc.             }
{                                           }
{*******************************************}

{$I fqb.inc}

unit fqbUtils;

interface

uses 
{$IFDEF FPC}
  LCLType, LCLIntf,
{$ELSE}
  Windows,
{$ENDIF}
  Messages, Classes, SysUtils
{$IFDEF FPC}
  ,frZLib
{$ELSE}
  ,ZLib
{$ENDIF};

function fqbStringCRC32(const Str: Ansistring): Cardinal;
function fqbGetUniqueFileName(const Prefix: String): string;
function fqbTrim(const Input: string; EArray: TSysCharSet):string;
function fqbParse(Char, S: string; Count: Integer; Last: Boolean = False): string;
function fqbBase64Decode(const S: AnsiString): AnsiString;
function fqbBase64Encode(const S: AnsiString): AnsiString;
function fqbCompress(const S: String): String;
function fqbDeCompress(const S: String): String;
procedure fqbDeflateStream(Source, Dest: TStream; Compression: TZCompressionLevel = zcDefault);
procedure fqbInflateStream(Source, Dest: TStream);


implementation
end.
