
{******************************************}
{                                          }
{             FastReport VCL               }
{         Server templates support         }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxServerTemplates;

{$I frx.inc}

interface

uses Classes, SysUtils, frxServerVariables, frxServerSSI,
    frxServerUtils, frxServerConfig;


type
  TfrxServerTemplate = class(TObject)
  private
    FVariables: TfrxServerVariables;
    FSSI: TfrxSSIStream;
    FTemplate: TStringList;
  public
    constructor Create;
    destructor Destroy; override;
    procedure Clear;
    procedure Prepare;
    procedure SetTemplate(const Name: String);

    property TemplateStrings: TStringList read FTemplate;
    property Variables: TfrxServerVariables read FVariables;
  end;

implementation
end.
