{******************************************}
{                                          }
{             FastReport VCL               }
{         Converter from GDI to DMP        }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

//
// Using:
//   conv := TConverterGDI2DMP.Create;
//   conv.Source := frxReport1;
//   conv.Target := frxReport2;
//   conv.Convert;
//   frxReport2.SaveToFile('converted_fromGDI.fr3');
//


unit ConverterGDI2DMP;

interface

{$I frx.inc}

uses
  frCore, frxClass, frxDMPClass, Variants;

type
  TConverterGDI2DMP = class
  private
    FTarget: TfrxReport;
    FSource: TfrxReport;
  protected
    procedure DoConvert;
  public
    property Source: TfrxReport read FSource write FSource;
    property Target: TfrxReport read FTarget write FTarget;

    procedure Convert;
  end;

implementation
end.
