
{******************************************}
{                                          }
{             FastReport VCL               }
{          Picture Export Filters          }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxExportImageDialog;

interface

{$I frx.inc}

uses
{$IFNDEF FPC}
  Windows, Messages,
{$ELSE}
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, frxExportBaseDialog, ComCtrls
{$IFDEF DELPHI6}
  , Variants
{$ENDIF};

type
  TfrxIMGExportDialog = class(TfrxBaseExportDialog)
    CropPage: TCheckBox;
    Label2: TLabel;
    Quality: TEdit;
    Mono: TCheckBox;
    Label1: TLabel;
    Resolution: TEdit;
    SeparateCB: TCheckBox;
  private
    FFilter: TfrxBaseDialogExportFilter;
    procedure SetFilter(const Value: TfrxBaseDialogExportFilter);
  protected
    procedure InitControlsFromFilter(ExportFilter: TfrxBaseDialogExportFilter); override;
    procedure InitFilterFromDialog(ExportFilter: TfrxBaseDialogExportFilter); override;
  public
    property Filter: TfrxBaseDialogExportFilter read FFilter write SetFilter;
  end;

implementation
end.
