unit frxExportPPMLDocument;

interface

{$I frx.inc}

uses
{$IFNDEF Linux}
  Windows,
{$ELSE}
  LCLType, LCLIntf, LCLProc,
{$ENDIF}
  Messages, frxExportBaseDialog, SysUtils, Classes, Graphics, frxClass, frxExportMatrix, Math, frxBarcod, frxBarcode, frxBarcode2D,
  frxBarcodeMaxiCode, frxTableObject, frxRes, frxImageConverter, frxExportPSDocument, frxExportPSHelper, frXML;

type PPMLDocument = class(PSDocument)
  protected
    doc: TfrXMLDocument;
    root, internalData, mark, document: TfrXMLItem;
    procedure CreateWindow(name: String; Width, Height: Double); override;
  public
    procedure AddPage(); override;
    procedure Save(stream: TStream); overload; override;
    procedure Save(fn: String); overload; override;
    procedure Finish(); override;
    Destructor Destroy; override;
end;


implementation
end.

