unit frxExportPSHelper;

interface

{$I frx.inc}

uses
{$IFNDEF Linux}
  Windows,
{$ELSE}
  LCLType, LCLIntf, LCLProc,
{$ENDIF}
  Messages, frxExportBaseDialog, SysUtils, Classes, Graphics, frxClass, frxExportMatrix, Math, frxBarcod, frxBarcode, frxBarcode2D,
  frxBarcodeMaxiCode, frxTableObject, frxRes, frxImageConverter;

type
  Dashes = (Dash, Dot, DashDot, DashDotDot, DDouble);
  PSImageFormat = (psPng, psJpeg);
  AOF = array of Double;

  function ColorToHtml(DColor:TColor): string;
  function BitMapStream(BitMap: TBitmap): TMemoryStream;
  function HexToTColor(sColor : string) : TColor;
  function GetColorFromFill(Fill: TfrxCustomFill): TColor;
  function MemoryStreamToHexStr(AStream: TMemoryStream): string;
  function MmToPt(mm: Double): Double;
  function MmToDp(mm: Double): Double;
  function DpToMm(dp: Double): Double;
  function DpToPt(dp: Double): Double;
  function GetMixedColor(StartColor, EndColor: TColor): TColor;

implementation
end.
