
{******************************************}
{                                          }
{             FastReport VCL               }
{        Text advanced  export filter      }
{             Printing form                }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxExportTxtPrn;

{$I frx.inc}

interface

uses
  {$IFNDEF Linux}
  Windows,
  {$ELSE}
  LCLType, LCLIntf, LCLProc,
  {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, CheckLst, frxExportTXT, Buttons
{$IFDEF DELPHI6}, Variants {$ENDIF}
, {$IFDEF FPC}MaskEdit{$ELSE}Mask{$ENDIF},
  ComCtrls, frxRes;

type
  TfrxPrnInit = class(TForm)
    OK: TButton;
    Cancel: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    GroupBox1: TGroupBox;
    Label4: TLabel;
    Image1: TImage;
    CB1: TComboBox;
    PropButton: TButton;
    GroupBox3: TGroupBox;
    Label2: TLabel;
    Panel2: TPanel;
    GroupBox2: TGroupBox;
    CheckListBox1: TCheckListBox;
    Label1: TLabel;
    ComboBox1: TComboBox;
    Button1: TSpeedButton;
    Button2: TSpeedButton;
    E1: TMaskEdit;
    UpDown1: TUpDown;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure CheckListBox1ClickCheck(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure PropButtonClick(Sender: TObject);
    procedure CB1Click(Sender: TObject);
    procedure CB1DrawItem(Control: TWinControl; Index: Integer;
      ARect: TRect; State: TOwnerDrawState);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
    exp: TfrxTXTExport;
    OldIndex: Integer;
    procedure Localize;
  public
    { Public declarations }
  end;

var
  frxPrnInit: TfrxPrnInit;

implementation
end.
