
{******************************************}
{                                          }
{             FastReport VCL               }
{           XLSX export dialog             }
{                                          }
{         Copyright (c) 1998-2021          }
{                                          }
{******************************************}

unit frxExportXLSXDialog;

interface

{$I frx.inc}

uses
{$IFNDEF FPC}
  Windows, Messages, ShellAPI,
{$ELSE}
  LCLType, LCLIntf,
{$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Types,
  StdCtrls, ExtCtrls, ComCtrls, frxExportBaseDialog
{$IFDEF DELPHI16}
, System.UITypes
{$ENDIF}
;

type
  TfrxXLSXExportDialog = class(TfrxBaseExportDialog)
    ContinuousCB: TCheckBox;
    SplitToSheetGB: TGroupBox;
    RPagesRB: TRadioButton;
    NotSplitRB: TRadioButton;
    RowsCountRB: TRadioButton;
    edChunk: TEdit;
    PageBreaksCB: TCheckBox;
    WCB: TCheckBox;
    DataOnlyCB: TCheckBox;
  protected
    procedure InitControlsFromFilter(ExportFilter: TfrxBaseDialogExportFilter); override;
    procedure InitFilterFromDialog(ExportFilter: TfrxBaseDialogExportFilter); override;
  end;

implementation
end.
