unit frxHorizontalMetrixClass;

interface

{$I frx.inc}

uses TTFHelpers, frxTrueTypeTable;

type
    longHorMetric = packed record
        advanceWidth: Word;
        lsb: Smallint;
    end;

    THorMetricArray = array of longHorMetric;

  HorizontalMetrixClass = class(TrueTypeTable)
    private MetrixTable: THorMetricArray;
    public NumberOfMetrics: Word;

    public constructor Create(src: TrueTypeTable);
    public procedure Load(font: Pointer); override;
    public function GetItem(index : integer): longHorMetric;

    public property Item[index: Integer]: longHorMetric read GetItem;


end;

implementation
end.
