
{******************************************}
{                                          }
{             FastReport VCL               }
{             Data Band editor             }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxEditDataBand;

interface

{$I frx.inc}

uses
  {$IFNDEF FPC}
  Windows, Messages,
  {$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, frxClass, ComCtrls, frxBaseForm
  {$IFDEF FPC}
  , LCLType, LCLIntf
  {$ENDIF}
{$IFDEF DELPHI6}
, Variants, frxCtrls
{$ENDIF};


type
  TfrxDataBandEditorForm = class(TfrxBaseForm)
    OkB: TButton;
    CancelB: TButton;
    DatasetGB: TGroupBox;
    DatasetsLB: TListBox;
    RecordsL: TLabel;
    RecordsE: TEdit;
    RecordsUD: TUpDown;
    FilterGB: TGroupBox;
    FilterE: TfrxComboEdit;
    procedure DatasetsLBDrawItem(Control: TWinControl; Index: Integer;
      ARect: TRect; State: TOwnerDrawState);
    procedure DatasetsLBDblClick(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DatasetsLBClick(Sender: TObject);
    procedure FilterEButtonClick(Sender: TObject);
  private
    { Private declarations }
    FDataBand: TfrxDataBand;
    FDesigner: TfrxCustomDesigner;
  public
    { Public declarations }
    procedure UpdateResouces; override;
    property DataBand: TfrxDataBand read FDataBand write FDataBand;
  end;


implementation
end.

