
{******************************************}
{                                          }
{             FastReport VCL               }
{          Master-Detail editor            }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxEditMD;

interface

{$I frx.inc}

uses
  {$IFNDEF FPC}
  Windows, Messages,
  {$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  frxClass, StdCtrls, ExtCtrls, frxCustomDB, frxBaseForm
  {$IFDEF FPC}
  ,LResources, LCLType
  {$ENDIF}
{$IFDEF DELPHI6}
, Variants
{$ENDIF};
  

type
  TfrxMDEditorForm = class(TfrxBaseForm)
    DetailLB: TListBox;
    MasterLB: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    AddB: TButton;
    LinksLB: TListBox;
    Label3: TLabel;
    ClearB: TButton;
    OkB: TButton;
    CancelB: TButton;
    Bevel1: TBevel;
    procedure FormShow(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure ClearBClick(Sender: TObject);
    procedure DetailLBClick(Sender: TObject);
    procedure MasterLBClick(Sender: TObject);
    procedure AddBClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    FDetailDS: TfrxCustomDataset;
    FMasterDS: TfrxCustomDBDataset;
    FMasterFields: String;
    procedure FillLists;
  public
    procedure UpdateResouces; override;
    property DataSet: TfrxCustomDataset read FDetailDS write FDetailDS;
  end;


implementation
end.

