
{******************************************}
{                                          }
{             FastReport VCL               }
{            File utilities unit           }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxFileUtils;

interface

{$I frx.inc}

uses
  {$IFNDEF FPC}Windows, Messages,{$ENDIF}
  SysUtils, Classes
  {$IFDEF FPC}, LazFileUtils, FileUtil, lazhelper{$ENDIF}
  {$IFNDEF NONWINFPC}, ShlObj, FileCtrl, Registry{$ENDIF};


function frxExpandRelativePath(const Path: string): string;
function GetFileSize(const FileName: String): Longint;
function StreamSearch(Strm: TStream; const StartPos: Longint; const Value: AnsiString): Longint;
{$IFNDEF FPC}
function BrowseDialog(const Path:String; const Title: string = ''): string;
{$ENDIF}
procedure DeleteFolder(const DirName: String);
{$IFNDEF DELPHI6}
function DirectoryExists(const Name: string): Boolean;
{$ENDIF}
function GetFileMIMEType(const Extension: String): String;

implementation
end.
