
{******************************************}
{                                          }
{             FastReport VCL               }
{               GS1 Databars               }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{             Fast Reports, Inc.           }
{                                          }
{******************************************}

unit frxGS1Databar;

interface

{$I frx.inc}

uses
{$IFDEF FPC}
  LCLType, LMessages, LazHelper, LCLIntf,
{$ELSE}
  Windows, Messages,
{$ENDIF}
  SysUtils, Types, StrUtils, Classes, Graphics, Controls, Forms, Dialogs, frxBarcode2DBase, frxGS1Databar_Helper;


type
  TfrxGS1Databar = class(TfrxBarcode2DBaseWithUnion)
  private
    base: TBaseDatabar;
  public
    constructor Create; override;
    destructor  Destroy; override;
    procedure   Assign(src: TfrxBarcode2DBase); override;
    function IsScaled: Boolean; override;
  end;

  TfrxGS1DatabarE = class(TfrxGS1Databar)
  protected
    procedure GenerateLM(Text: string; rebase: Boolean = True); override;
  end;

  TfrxGS1DatabarES = class(TfrxGS1Databar)
  protected
    FColumns: Integer;
    procedure SetColumns(Col: Integer);
    procedure GenerateLM(Text: string; rebase: Boolean = True); override;
  public
    constructor Create; override;
    property Columns: Integer read FColumns write SetColumns;
  end;


implementation
end.
