
{******************************************}
{                                          }
{             FastReport VCL               }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxHTTPProtocol;

interface

{$I frx.inc}

uses
  SysUtils, Classes, SyncObjs, frxProtocolFactory, frxBaseSocketIOHandler;

type
  TfrxHTTPDatalinkProtocol = class(TfrxCustomDatalinkProtocol)
  protected
    class function GetIOHandlerClass: TfrxCustomIOHandlerClass; virtual;
  public
    class function LoadBy(var Link: String; Stream: TStream; BoundData: TObject = nil): Boolean; override;
  end;

implementation
end.

