
{******************************************}
{                                          }
{             FastReport VCL               }
{              E-mail export               }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxIOTransportIndyMail;

interface

{$I frx.inc}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, extctrls, frxClass, IniFiles, ComCtrls, frxIOTransportMail, frxProgress,
  IdSMTP, IdMessage, IdComponent,
  IdSSLOpenSSL,
{$IFNDEF INDY9}
  IdExplicitTLSClientServerBase,
  IdAttachmentFile,
{$ENDIF}
{$IFDEF DELPHI6}
  Variants
{$ENDIF};

type
{$IFDEF DELPHI16}
[ComponentPlatformsAttribute(pidWin32 or pidWin64)]
{$ENDIF}
  TfrxMailIOTransportIndy = class(TfrxMailIOTransport)
  private
    FProgress: TfrxProgress;
  protected
    function DoMailSMTP(const Server: String; const Port: Integer;const
      UserField, PasswordField: String; FromField, ToField, SubjectField, CompanyField,
      TextField: WideString; FileNames: TStringList; Timeout: integer = 60;
      ConfurmReading: boolean = false; MailCc: WideString = ''; MailBcc: WideString = ''): String; override;
    procedure ConnectionWork(Sender: TObject; AWorkMode: TWorkMode;
      {$IfDef INDYPARAM_INT}{$IfDef INDY10_2005} AWorkCount: Integer
      {$ELSE}
                           const AWorkCount: Integer
      {$ENDIF}
      {$Else}              AWorkCount: Int64 {$EndIf});
  public
    class function GetDescription: String; override;
  end;


implementation
end.
