unit frxIOTransportS3Dialog;

interface

uses
  Messages, Classes, Controls, StdCtrls,
  frxIOTransportOAuthDialog, frxIOTransportHelpers,
  frxBaseTransportConnection, frxIOTransportIntDialog;

type
  TfrxS3TransportDialog = class(TfrxOAuthTransportDialog)
  private
    FRegionLabel: TLabel;
    FRegionEdit: TEdit;
    FBucketLabel: TLabel;
    FBucketEdit: TEdit;
    FBucketStyleLabel: TLabel;
    FBucketStyleComboBox: TComboBox;
  protected
    function IsNeedHost: Boolean; override;
    function IsNeedClientDataToToken: Boolean; override;
    procedure OkBClick(const ASender: TObject); override;
    procedure ClearBtnClick(const ASender: TObject); override;
  public
    constructor Create(AOwner: TComponent); override;
    procedure InitControlsFromFilter(TransportFilter: TfrxInternetIOTransport); override;
    procedure InitFilterFromDialog(TransportFilter: TfrxInternetIOTransport); override;
  end;

var
  frxS3TransportDialog: TfrxS3TransportDialog;

implementation
end.
