
{******************************************}
{                                          }
{             FastReport VCL               }
{             S3 Save Filter               }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxIOTransportS3Indy;

interface

{$I frx.inc}

uses
  Classes, IdHTTP, frxIOTransportHelpers, frxBaseTransportConnection,
  frxIOTransportS3Base, frxTransportIndyConnectorHTTP;

type
{$IFDEF DELPHI16}
  [ComponentPlatformsAttribute(pidWin32 or pidWin64)]
{$ENDIF}
  TfrxS3IOTransportIndy = class(TfrxBaseS3IOTransport)
  protected
    function DoQuery(const AReqType: TfrxS3RequestType; const ABucket: String = '';
      const APostfixHost: String = ''; const AQuery: String = '';
      const AContentStream: TStream = nil; const AIsNeedContentLength: Boolean = False): String; override;
  public
    function GetConnectorInstance: TfrxBaseTransportConnectionClass; override;
  end;

implementation
end.
