unit frxRegistredEditorsDialog;

interface

{$I frx.inc}

uses
  {$IFNDEF FPC}Windows, Messages,{$ENDIF}
  SysUtils, Variants, Classes, Graphics,
  Controls, Forms, Dialogs, frxClass, ComCtrls, StdCtrls,
  Grids, ValEdit, TypInfo, Buttons, Menus, frPopupForm, frxBaseForm,
  ExtCtrls, Types;

type
  TfrxRegEditorsDialog = class(TfrxBaseForm)
    CancelBTN: TButton;
    OkBTN: TButton;
    EditorsVL: TValueListEditor;
    ComponentsLB: TListBox;
    ComboPanel: TPanel;
    ComboBtn: TSpeedButton;
    BackPanel: TPanel;
    procedure FormShow(Sender: TObject);
    procedure ComponentsLBClick(Sender: TObject);
    procedure EditorsVLDrawCell(Sender: TObject; ACol, ARow: Integer;
      aRect: TRect; State: TGridDrawState);
    procedure VisibilityCBDrawItem(Control: TWinControl; Index: Integer;
      aRect: TRect; State: TOwnerDrawState);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure EditorsVLSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
    procedure FormClick(Sender: TObject);
    procedure ComboBtnClick(Sender: TObject);
  private
    FPopupForm: TfrPopupForm;
    FListBox: TListBox;
    FEditItem: TfrxComponentEditorVisibility;
    FEditRow: Integer;
    FRegItem: TfrxComponentEditorsRegItem;
    procedure FillComponentsList;
    procedure FillEditors;
  public
    procedure UpdateFormPPI(aNewPPI: Integer); override;
  end;


implementation
end.
