unit frxSearchForm;

{$I frx.inc}

interface

uses
  {$IFDEF FPC}
  LCLIntf, LCLType, LMessages,
  {$ENDIF}
  {$IFNDEF FPC}
  Windows,
  {$ENDIF}
   Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls, frTreeView, frxBaseForm, frxRes;

type

  { TfrxSearchForm }

{$IFNDEF FPC}
  TTView = class(TfrTreeView)
    procedure WM_MouseWheel(var Msg: TWMMouseWheel); message WM_MouseWheel; //TWMMouseWheel
  end;
{$ENDIF}

  TfrxSearchForm = class(TfrxBaseForm)
    pnlSearch: TPanel;
    edtFind: TEdit;
    lblFind: TLabel;
    btnFind: TButton;
    gbSearch: TGroupBox;
    chkBeg: TCheckBox;
    chkCase: TCheckBox;
    chkFindAll: TCheckBox;
{$IFDEF  FPC}
    procedure chkFindAllChange(Sender: TObject);
{$ELSE}
    procedure chkFindAllClick(Sender: TObject);
{$ENDIF}
    procedure edtFindKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormShow(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    trvFind: {$IFNDEF FPC}TTView{$ELSE}TfrTreeView{$ENDIF};
    destructor Destroy; override;
    procedure UpdateResouces; override;
    procedure CleartrvFind();
  end;

//var
//  frxSearchForm: TfrxSearchForm;

const
  EventScrollFind = High(SmallInt);

implementation
end.
