{**********************************************}
{                                              }
{              FastScript v1.9                 }
{        FireDac classes and functions         }
{                                              }
{   (c) 2003-2014 by Alexander Tzyganenko,     }
{              Fast Reports Inc                }
{                                              }
{   Copyright (c) 2018 by Stalker SoftWare     }
{           <stalker4zx@gmail.com>             }
{                                              }
{**********************************************}

unit fs_iFDRTTI;

interface

{$i fs.inc}
{$IF CompilerVersion <= 24} //XE3 or older
    {$DEFINE ANYDAC}
{$IFEND}
uses
  SysUtils, Classes, DB, Types, Controls, fs_iinterpreter, fs_itools, fs_idbrtti,
  {$IFDEF ANYDAC}
    uADCompClient, uADStanOption, uADCompDataSet, uADStanParam;
  {$ELSE}
  FireDAC.DatS, FireDAC.Comp.DataSet, FireDAC.Comp.Client, FireDAC.Stan.Param;
  {$ENDIF}



type
{$IFDEF ANYDAC}
  TFDDataSetLocateOptions = TADDataSetLocateOptions;
  TFDCopyDataSetOptions = TADCopyDataSetOptions;
{$ENDIF}

{$i frxPlatformsAttribute.inc}
  TfsFDRTTI = class(TComponent); // fake component

 function IntToFDDataSetLocateOptions(i :Integer) :TFDDataSetLocateOptions; forward;
 function IntToFDCopyDataSetOptions(i :Integer) :TFDCopyDataSetOptions; forward;

implementation
end.
