
{******************************************}
{                                          }
{             FastReport VCL               }
{           CSS + SVG Transform            }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}
unit frCSSTransform;

interface

{$I frVer.inc}

uses
  Types, Math,
  frCoreClasses,
  frSVGParse, frSVGHelpers, frSVGComponents;

type
  TCSSSVGTransformList = class (TfrOwnObjList)
  public
    constructor Create(const S: string);
    function CloneItem(i: Integer): TObject;
    function GetMatrix: TSVGTransform;
    procedure SetTransform(Matrix: TSVGTransform);
    procedure GetRawData(out RawData: TSVGLengthArray; out Direction: TSVGDirectionArray);
    procedure SetData(Data: TSingleDynArray);
  end;

implementation
end.
