unit frCanvasHelper;

{$I frVer.inc}

interface

uses
  {$IFDEF FPC}
  LCLIntf, frLazGraphicClasses, LazUTF8,
  {$ENDIF}
  {$IFNDEF NONWINFPC}
  Windows, Messages, Registry,
  {$ELSE}
  LCLType, Masks, fpmimetypes,
  {$ENDIF}
  Types, Graphics, frVectorCanvas;

{$IFDEF FPC}
type
  TMetafileCanvas = class(TlmfCanvas)
  private
    FOriginalHandle: HDC;
  public
    constructor Create(AMetafile:TMetafile; AReferenceDevice:Integer);
    constructor CreateWithComment(AMetafile : TMetafile;
      AReferenceDevice: Integer; const ACreatedBy, ADescription: String);
    destructor Destroy; override;
   end;

{supports lmf too}
function ExtTextOutExtra(ACanvas: TCanvas; X, Y: Integer; AOptions: Longint;
  ARect: PRect; AStr: PChar; ACount: Longint; ADx: PInteger): Boolean;
function ExtTextOutExtrW(ACanvas: TCanvas; X, Y: Integer; AOptions: Longint;
  ARect: PRect; AStr: PWideChar; ACount: Longint; ADx: PInteger): Boolean;
function GetTextExtentExPointW(DC: HDC; Str: PWideChar; Count, MaxWidth: Integer;
  MaxCount, PartialWidths: PInteger; var Size: TSize): Boolean;
{$ENDIF}
function frSetBkMode(C: TCanvas; bkMode : Integer): Integer;

implementation
end.
