
{******************************************}
{                                          }
{             FastReport VCL               }
{     Parent form for pop-up controls      }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frPopupForm;

interface

{$I frVer.inc}

uses
  SysUtils,
  {$IFNDEF FPC}
  Windows, Messages,
  {$ENDIF}
  Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, frBaseForm
  {$IFDEF FPC}
  , LResources, LCLType, LCLIntf, LCLProc
  {$ENDIF}
{$IFDEF DELPHI6}
, Variants
{$ENDIF};
  

type
  TfrPopupForm = class(TfrBaseForm)
    procedure FormDeactivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
  private
    FResizable: Boolean;
{$IFNDEF FPC}
    procedure WMNCHitTest(var Message: TWMNCHitTest); message WM_NCHITTEST;
{$ENDIF}
    procedure SetResizable(const Value: Boolean);
    { Private declarations }
  public
    property Resizable: Boolean read FResizable write SetResizable;
    { Public declarations }
  end;

var
  frPopupFormCloseTime: UInt = 0;


implementation
end.
