unit frPlatformServices;

{$I frVer.inc}

interface

uses
  Classes, SysUtils, StrUtils, frCore
{$IFDEF FPC}
  , lazutf8
{$ENDIF};

const
  {$IFDEF NONWINFPC}
  LineBreak = #$0A;
  {$ELSE}
  LineBreak = #$0D#$0A;
  {$ENDIF}

function frLength(s: string): frInteger;{$IFNDEF FPC}overload;{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}
function frPos(const substr, s: string): frInteger;{$IFNDEF FPC}{$IFNDEF DELPHI12}overload;{$ENDIF}{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}
//frPosEx function has been tested only on Lazarus.(not used in Delphi yet)
function frPosEx(const substr, s: string; StartPos: frInteger = 1): frInteger;{$IFNDEF FPC}{$IFNDEF DELPHI12}overload;{$ENDIF}{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}
function frCopy(const s: string; Index, Count: frInteger): string; {$IFNDEF FPC}{$IFNDEF DELPHI12}overload;{$ENDIF}{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}
function frUpperCase(const s: string): string; {$IFNDEF FPC}overload;{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}
function frGetSymbol(const str: String; Index: frInteger): {$IFDEF FPC}String{$ELSE}Char{$ENDIF}; {$IFNDEF FPC}overload;{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}

procedure frInsert(const source: string; var s: string; Index: frInteger); {$IFNDEF FPC}overload;{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}
procedure frDelete(var s: string; Index, Count: frInteger);{$IFNDEF FPC}overload;{$ENDIF}{$IFDEF DELPHI9} inline;{$ENDIF}

{$IFNDEF FPC}
{$IFNDEF DELPHI12}
function frPos(const substr, s: Widestring): frInteger; overload;{$IFDEF DELPHI9} inline;{$ENDIF}
function frPosEx(const substr, s: Widestring; StartPos: frInteger = 1): frInteger; overload;{$IFDEF DELPHI9} inline;{$ENDIF}
function frCopy(const s: Widestring; Index, Count: frInteger): Widestring; overload;{$IFDEF DELPHI9} inline;{$ENDIF}
{$ENDIF}
function frUpperCase(const s: Widestring): Widestring; overload;{$IFDEF DELPHI9} inline;{$ENDIF}
function frLength(s: Widestring): frInteger; overload;{$IFDEF DELPHI9} inline;{$ENDIF}
function frGetSymbol(const str: WideString; Index: frInteger): WideChar; overload;{$IFDEF DELPHI9} inline;{$ENDIF}
procedure frInsert(const source: Widestring; var s: Widestring; Index: frInteger); overload;{$IFDEF DELPHI9} inline;{$ENDIF}
procedure frDelete(var s: WideString; Index, Count: frInteger); overload;{$IFDEF DELPHI9} inline;{$ENDIF}
{$ENDIF}


implementation
end.

