unit FastQueryBuilder;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, fqbClass,
  fqbSqlDBEngine, uDemoMain, SQLite3Conn,
  fqbSmartMemo, // Comment out this line if your edition is not Enterprise
  SQLDB;

type

  { TfrmFastQueryBuilderMain }

  TfrmFastQueryBuilderMain = class(TfrmDemoMain)
    Button1: TButton;
    fqbDialog1: TfqbDialog;
    fqbSqlDBEngine1: TfqbSqlDBEngine;
    Memo1: TMemo;
    SQLite3Connection1: TSQLite3Connection;
    SQLTransaction1: TSQLTransaction;
    procedure Button1Click(Sender: TObject);
  private

  public

  end;

var
  frmFastQueryBuilderMain: TfrmFastQueryBuilderMain;

implementation

{$R *.lfm}

{ TfrmFastQueryBuilderMain }

procedure TfrmFastQueryBuilderMain.Button1Click(Sender: TObject);
begin
  fqbDialog1.SQL := Memo1.Lines.Text;
  if fqbDialog1.Execute then
  begin
    Memo1.Lines.Clear;
    Memo1.Lines.Text := fqbDialog1.SQL;
  end
end;

end.

