unit uSimple;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  frxBarcode, frxChBox, frxCross, frxDCtrl, frxServerClient, frxExportHTML,
  frxExportPDF, frxExportRTF, frxChartLaz, uDemoMain;

type

  TfrmSimpleMain = class(TfrmDemoMain)
    CloseBtn: TButton;
    frxBarCodeObject1: TfrxBarCodeObject;
    frxChartObject1: TfrxChartObject;
    frxCheckBoxObject1: TfrxCheckBoxObject;
    frxCrossObject1: TfrxCrossObject;
    frxDialogControls1: TfrxDialogControls;
    frxHTMLExport1: TfrxHTMLExport;
    frxPDFExport1: TfrxPDFExport;
    frxReportClient1: TfrxReportClient;
    frxRTFExport1: TfrxRTFExport;
    frxServerConnection1: TfrxServerConnection;
    Host: TEdit;
    Image1: TImage;
    Label1: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Login: TEdit;
    Memo1: TMemo;
    Panel1: TPanel;
    Panel2: TPanel;
    Param1: TEdit;
    Param1Value: TEdit;
    Param2: TEdit;
    Param2Value: TEdit;
    Password: TEdit;
    Port: TEdit;
    RepName: TEdit;
    ShowBtn: TButton;
    procedure CloseBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ShowBtnClick(Sender: TObject);
  private

  public

  end;

var
  frmSimpleMain: TfrmSimpleMain;

implementation

{$R *.lfm}

procedure TfrmSimpleMain.CloseBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmSimpleMain.FormCreate(Sender: TObject);
begin
  Label14.Caption := #194#174;
  Label15.Caption := #194#169 + label15.Caption;
end;

procedure TfrmSimpleMain.ShowBtnClick(Sender: TObject);
begin
  frxServerConnection1.Host := Host.Text;
  frxServerConnection1.Port := StrToInt(Port.Text);
  frxServerConnection1.Login := Login.Text;
  frxServerConnection1.Password := Password.Text;
  frxReportClient1.LoadFromFile(RepName.Text);
  frxReportClient1.Variables.Clear;
  if Length(Param1Value.Text) > 0 then
    frxReportClient1.Variables[Param1.Text] := Param1Value.Text;
  if Length(Param2Value.Text) > 0 then
    frxReportClient1.Variables[Param2.Text] := Param2Value.Text;
  if frxReportClient1.PrepareReport then
    frxReportClient1.ShowPreparedReport;
  Memo1.Lines.AddStrings(frxReportClient1.Errors);
end;

end.

