{*******************************************}
{                                           }
{          FastQueryBuilder 1.01            }
{                                           }
{            Copyright (c) 2005             }
{             Fast Reports Inc.             }
{                                           }
{ JJA01, 22-7-2008: listing fields was very slow for large query     }
{                                           }
{*******************************************}

{$I fqb.inc}

unit fqbADOEngine;

interface

uses
  Windows, Messages, Classes, Dialogs, DB
{$IFDEF Delphi6}
  ,Variants
{$ENDIF}
  ,fqbClass, ADODB, ADOInt;

type
  { TfqbADOEngine }

  TfqbADOEngine = class(TfqbEngine)
  private
    FADOConnection: TADOConnection;
    FQuery: TADOQuery;
    procedure SetDatabase(Value: TADOConnection);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure ReadFieldList(const ATableName: string; var AFieldList: TfqbFieldList); override;
    procedure ReadTableList(ATableList: TStrings); override;
    function ResultDataSet: TDataSet; override;
    procedure SetSQL(const Value: string); override;
  published
    property Database: TADOConnection read FADOConnection write SetDatabase;
  end;

implementation
end.
