{*******************************************}
{                                           }
{          FastQueryBuilder 1.01            }
{                                           }
{            Copyright (c) 2005             }
{             Fast Reports Inc.             }
{                                           }
{*******************************************}

{$I fqb.inc}

unit fqbBDEEngine;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, CheckLst, Buttons, Menus, Grids, Dbtables, Db,
  Dbgrids
{$IFDEF Delphi6}
  ,Variants
{$ENDIF}
  ,fqbClass;

type

  TfqbBDEEngine = class(TfqbEngine)
  private
    FDatabaseName: string;
    FQuery: TQuery;
    procedure SetDatabaseName(const Value: string);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure ReadFieldList(const ATableName: string; var AFieldList: TfqbFieldList); override;
    procedure ReadTableList(ATableList: TStrings); override;
    function ResultDataSet: TDataSet; override;
    procedure SetSQL(const Value: string); override;
  published
    property DatabaseName: string read FDatabaseName write SetDatabaseName;
  end;
  

implementation
end.
