{*******************************************}
{                                           }
{          FastQueryBuilder 1.01            }
{                                           }
{            Copyright (c) 2005             }
{             Fast Reports Inc.             }
{                                           }
{*******************************************}

{$I fqb.inc}

unit fqbIBXEngine;

interface

uses
  Windows, Messages, Classes, Dialogs, DB, Variants,
{$IFDEF DELPHI20}
  IBX.IBDatabase, IBX.IBTable, IBX.IBQuery,
{$ELSE}
  IBDatabase, IBTable, IBQuery,
{$ENDIF}
  fqbClass;

type

  TfqbIBXEngine = class(TfqbEngine)
  private
    FIBXConnection: TIBDatabase;
    FResultQuery: TIBQuery;
    FTransaction: TIBTransaction;
    procedure SetDatabase(Value: TIBDatabase);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure ReadFieldList(const ATableName: string; var AFieldList: TfqbFieldList); override;
    procedure ReadTableList(ATableList: TStrings); override;
    function ResultDataSet: TDataSet; override;
    procedure SetSQL(const Value: string); override;
  published
    property Database: TIBDatabase read FIBXConnection write SetDatabase;
  end;

implementation
end.
