{*******************************************}
{                                           }
{          FastQueryBuilder 1.03            }
{                                           }
{            Copyright (c) 2005             }
{             Fast Reports Inc.             }
{                                           }
{*******************************************}

{$I fqb.inc}

unit fqbDesign;

interface

uses
{$IFNDEF FPC}
  Windows,
{$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ToolWin, ComCtrls, StdCtrls, ExtCtrls, Grids, DBGrids,
  ImgList, Buttons, Menus, DB, IniFiles
{$IFDEF Delphi6}
  ,Variants
{$ENDIF}
  ,fqbSynmemo, fqbClass, frBaseForm;

type

  { TfqbDesigner }

  TfqbDesigner = class(TfrBaseForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    fqbGrid1: TfqbGrid;
    fqbTableArea1: TfqbTableArea;
    fqbTableListBox1: TfqbTableListBox;
    ImageList2: TImageList;
    OpenDialog1: TOpenDialog;
    PageControl1: TPageControl;
    Panel1: TPanel;
    SaveDialog1: TSaveDialog;
    Splitter1: TSplitter;
    Splitter2: TSplitter;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    ToolBar1: TToolBar;
    ToolButton10: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    ToolButton8: TToolButton;
    SepTB3: TToolButton;
    UseSmartMemoB: TToolButton;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TabSheet2Show(Sender: TObject);
    procedure TabSheet3Hide(Sender: TObject);
    procedure TabSheet3Show(Sender: TObject);
    procedure ToolButton10Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ToolButton6Click(Sender: TObject);
    procedure ToolButton7Click(Sender: TObject);
    procedure UseSmartMemoBClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FIniFileName: String;
    FfqbSyntaxMemoController: TfqbMemoController;
    FUseSmartMemo: Boolean;
    FDPIScale: Single;
    function GetIniFile: TCustomIniFile;
    procedure IniSupport(AReg: TCustomIniFile);
  protected
    procedure LoadPos;
    procedure SavePos;
  public
    procedure UpdateFormPPI(aNewPPI: Integer); override;
    property IniFile: TCustomIniFile read GetIniFile;
  end;


var
  fqbDesigner: TfqbDesigner;

implementation
end.

