{*******************************************}
{                                           }
{          FastQueryBuilder 1.01            }
{                                           }
{            Copyright (c) 2005             }
{             Fast Reports Inc.             }
{                                           }
{*******************************************}

{$I fqb.inc}

unit fqbSqlDBEngine;

interface

uses
  SysUtils, Classes, Dialogs, DB, Variants, fqbClass, sqldb, ibconnection, odbcconn;

type

  TfqbSqlDBEngine = class(TfqbEngine)
  private
    FSQLConnection: TSQLConnection;
    FQuery: TSQLQuery;
    procedure SetDatabase(Value: TSQLConnection);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure ReadFieldList(const ATableName: string; var AFieldList: TfqbFieldList);
                   override;
    procedure ReadTableList(ATableList: TStrings); override;
    function ResultDataSet: TDataSet; override;
    procedure SetSQL(const Value: string); override;
  published
    property Database: TSQLConnection read FSQLConnection write SetDatabase;
  end;
  

implementation
end.
