
{******************************************}
{                                          }
{             FastReport VCL               }
{             Server variables             }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxServerVariables;

{$I frx.inc}

interface

uses
  {$IFNDEF Linux}
  Windows,
  {$ENDIF}
  Classes, SysUtils, frxServerUtils;

type
  TfrxServerVariable = class(TCollectionItem)
  private
    FName: String;
    FValue: AnsiString;
  published
    property Name: String read FName write FName;
    property Value: AnsiString read FValue write FValue;
  end;

  TfrxServerVariables = class(TCollection)
  public
    constructor Create;
    function GetValue(const Name: String): AnsiString;
    procedure AddVariable(const Name: String; const Value: AnsiString);{$IFDEF DELPHI12} overload;
    procedure AddVariable(const Name: String; const Value:String); overload;
    {$ENDIF}
    procedure AddLinkVariable(const Name: String; const Value: String);

  end;

implementation
end.
