{******************************************}
{                                          }
{             FastReport VCL               }
{        Converter from QuickReport        }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{                                          }
{******************************************}

{The following works for me with FR6 :

1. Create a new program (File -> New -> VCL Forms Application).

2. Project -> Add -> Browse and find ConverterQR2FR.pas.

3. Depending on the components you have installed, you might have to remove the following units from the uses list in ConverterQR2FR:

VCLTee.TeeProcs, VCLTee.TeEngine, VCLTee.Chart, VCLTee.Series, VCLTee.TeCanvas
frxChart, frxBDEComponents, frxIBXComponents

Removing them should be safe, since your report doesn't use TeeChart.

4. Add the following to the form:
frxReport
OpenDialog
SaveDialog
Button

5. Put this in the Button OnClick event:

Code:
  if OpenDialog1.Execute then
  begin
    if frxReport1.LoadFromFile(OpenDialog1.FileName) then
    begin
      if SaveDialog1.Execute then
      begin
        frxReport1.SaveToFile(SaveDialog1.FileName);
      end;
    end;
  end;
6. Run the program, click the button.  }

unit ConverterQR2FR;

interface
{$I frx.inc}
implementation
end.
