unit MemInfo;

interface

uses
  Windows;

type
  PROCESS_MEMORY_COUNTERS_EX = packed record
    cb: DWORD;
    PageFaultCount: DWORD;
    PeakWorkingSetSize: DWORD;
    WorkingSetSize: DWORD;
    QuotaPeakPagedPoolUsage: DWORD;
    QuotaPagedPoolUsage: DWORD;
    QuotaPeakNonPagedPoolUsage: DWORD;
    QuotaNonPagedPoolUsage: DWORD;
    PageFileUsage: DWORD;
    PeakPageFileUsage: DWORD;
    PrivateUsage: DWORD;
  end;

  TGetProcessMemoryInfo = function (Process: TfrHandle; out Counters; cb: DWORD): BOOL stdcall;

function GetPrivateMemoryUsage: DWORD;
function GetMemInfo: PROCESS_MEMORY_COUNTERS_EX;

implementation
end.
