{ ****************************************** }
{ }
{ FastReport v5.0 }
{ HTML <div> Export }
{ }
{         Copyright (c) 1998-2021          }
{ by Anton Khayrudinov }
{ Fast Reports Inc. }
{ }
{ ****************************************** }

unit frxExportHTMLDivDialog;

{ General advice for using this export.

   Avoid using vertical alignment in memos:
  it forces the export to create more
  complicated HTML. Leave the alignment vaTop
  whenever it's possible.

   Use @-type anchors in TfrxView.URL instead of
  #-type, because #-type is much slower to export. }

interface

{$I frx.inc}

uses
{$IFNDEF FPC}
  Windows,
{$ENDIF}
  SysUtils, Classes, Controls, Forms,
  Dialogs, StdCtrls, Graphics, frxPreview,
{$IFDEF DELPHI16}
  System.UITypes,
{$ENDIF}
  frxExportBaseDialog, ComCtrls;

type
  TfrxHTMLDivExportDialog = class(TfrxBaseExportDialog)
    PicturesL: TLabel;
    StylesCB: TCheckBox;
    UnifiedPicturesCB: TCheckBox;
    PicturesCB: TCheckBox;
    MultipageCB: TCheckBox;
    PFormatCB: TComboBox;
    FormattedCB: TCheckBox;
    NavigationCB: TCheckBox;
    OutlineCB: TCheckBox;
    procedure MultipageCBClick(Sender: TObject);
  protected
    procedure InitControlsFromFilter(ExportFilter: TfrxBaseDialogExportFilter); override;
    procedure InitFilterFromDialog(ExportFilter: TfrxBaseDialogExportFilter); override;
  end;

implementation
end.
