unit frxIndexToLocationClass;

interface

{$I frx.inc}

uses SysUtils, TTFHelpers, frxFontHeaderClass, frxTrueTypeTable;

type
    TCardinalArray = array of Cardinal;
    TWordArray = array of Word;

  IndexToLocationClass = class(TrueTypeTable)
    private LongIndexToLocation: TCardinalArray;
    private ShortIndexToLocation: TWordArray;

    // Methods
    public constructor Create(src: TrueTypeTable);
    public function GetGlyph(i2l_idx: Word; font_header: FontHeaderClass; var location: Cardinal): Word;
    public procedure LoadIndexToLocation(font: Pointer; font_header: FontHeaderClass);

    // Properties
    public property Long: TCardinalArray read LongIndexToLocation;
    public property Short: TWordArray read ShortIndexToLocation;

end;

implementation
end.
