unit frxPostScriptClass;

interface

{$I frx.inc}

uses TTFHelpers, frxTrueTypeTable;

  type // Nested Types
      PostScript = packed record
          isFixedPitch: Cardinal;
          ItalicAngle: Integer;
          maxMemType1: Cardinal;
          maxMemType42: Cardinal;
          minMemType1: Cardinal;
          minMemType42: Cardinal;
          underlinePosition: Smallint;
          underlineThickness: Smallint;
          Version: Cardinal;
      end;


    PostScriptClass = class(TrueTypeTable)
      private post_script: PostScript;

      // Methods
      public constructor Create(src: TrueTypeTable);
      private procedure ChangeEndian;
      public procedure Load(font: Pointer); override;
      public function Save(font: Pointer; offset: Cardinal): Cardinal; override;

      // Properties
      public property ItalicAngle: Integer read post_script.ItalicAngle;

end;

implementation
end.
