
{******************************************}
{                                          }
{             FastReport VCL               }
{          Barcode BaseBarPreset           }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxBarcodeBaseBarPresset;

interface

{$I frx.inc}

uses
  Classes, Types, SysUtils, Graphics, Menus, frxClass, frxBarcodeComposite;

type
  TfrxBaseBarPreset = class
  private
    FName: String;
  protected
    procedure DoSetPresset(AComponent: TfrxBarCodeCompositeView); virtual; abstract;
  public
    constructor Create(AName: String); virtual;
    procedure SetPresset(AComponent: TfrxBarCodeCompositeView);
    property Name: String read FName write FName;
  end;

function frxBarcodeBarPresetList: TList;

implementation
end.
