{******************************************}
{                                          }
{             FastReport VCL               }
{                MaxiCode                  }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxBarcodeMaxiCode;

interface

{$I frx.inc}

uses
{$IFDEF FPC}
  LCLType, LMessages, LazHelper, LCLIntf,
{$ELSE}
  Windows, Messages,
{$ENDIF}
  SysUtils, Types, StrUtils, Classes, Graphics, Controls, Forms, Dialogs,
  frxBarcode2DBase, frxDelphiMaxiCode;

type
  TfrxBarcodeMaxiCode = class(TfrxBarcode2DBaseWithOutUnion)
  private
    function GetMode: Integer;
    procedure SetMode(const Value: Integer);
  protected
    FMaxiCodeEncoder: TMaxiCodeEncoder;

    procedure Generate;
    procedure SetText(v: String); override;
  public
    constructor Create; override;
    destructor Destroy; override;
    procedure Assign(src: TfrxBarcode2DBase); override;
  published
    property Mode: Integer read GetMode write SetMode;
  end;

implementation
end.
