
{******************************************}
{                                          }
{             FastReport VCL               }
{          Report encrypt/decrypt          }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxCrypt;

interface

{$I frx.inc}

uses {$IFNDEF FPC}Windows, {$ENDIF}Classes, SysUtils, Forms, Controls, frxClass;

type
{$IFDEF DELPHI16}
[ComponentPlatformsAttribute(pidWin32 or pidWin64)]
{$ENDIF}
  TfrxCrypt = class(TfrxCustomCrypter)
  private
    function AskKey(const Key: AnsiString): AnsiString;
  public
    procedure Crypt(Dest: TStream; const Key: AnsiString); override;
    function Decrypt(Source: TStream; const Key: AnsiString): Boolean; override;
  end;


procedure frxCryptStream(Source, Dest: TStream; const Key: AnsiString);
procedure frxDecryptStream(Source, Dest: TStream; const Key: AnsiString);


implementation
end.
