
{******************************************}
{                                          }
{             FastReport VCL               }
{         TeeChart InPlace Editor          }
{                                          }
{         Copyright (c) 1998-2021          }
{            by Fast Reports Inc.          }
{                                          }
{******************************************}

unit frxDataLinkInPlaceEditor;

interface

{$I frx.inc}
{$I frTeeChartVer.inc}

uses
  {$IFNDEF Linux}
  Windows,
  {$ENDIF}
  Messages, SysUtils, Classes, Graphics, Controls,
  frxClass, frxInPlaceEditors
{$IFDEF DELPHI6}
, Variants
{$ENDIF};

type
  TfrxInPlaceDataLinkEditor = class(TfrxInPlaceEditor)
  protected
    FDrawButton: Boolean;
    FMouseDown: Boolean;
    function IsDataLinkSet: Boolean;
  public
    function DoMouseUp(X, Y: Integer; Button: TMouseButton;
      Shift: TShiftState; var EventParams: TfrxInteractiveEventsParams): Boolean; override;
    procedure DrawCustomEditor(aCanvas: TCanvas; aRect: TRect); override;
    procedure InitializeUI(var EventParams: TfrxInteractiveEventsParams); override;
    procedure FinalizeUI(var EventParams: TfrxInteractiveEventsParams); override;
  end;

implementation
end.
