unit frxEditHyperlink;

interface

{$I frx.inc}

uses
{$IFDEF FPC}
  LCLType, LMessages, LazHelper, LCLIntf,
{$ELSE}
  Windows, Messages,
{$ENDIF}  
  SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, frxClass, frxCtrls, frxBaseForm
{$IFDEF DELPHI16}
, System.UITypes
{$ENDIF}
;

type
  TfrxHyperlinkEditorForm = class(TfrxBaseForm)
    OKB: TButton;
    CancelB: TButton;
    KindGB: TGroupBox;
    UrlRB: TRadioButton;
    PageNumberRB: TRadioButton;
    AnchorRB: TRadioButton;
    ReportRB: TRadioButton;
    ReportPageRB: TRadioButton;
    CustomRB: TRadioButton;
    PropertiesGB: TGroupBox;
    UrlP: TPanel;
    UrlL: TLabel;
    UrlE: TEdit;
    UrlExprL: TLabel;
    UrlExprE: TfrxComboEdit;
    Hint1L: TLabel;
    Hint2L: TLabel;
    PageNumberP: TPanel;
    PageNumberL: TLabel;
    PageNumberExprL: TLabel;
    PageNumberE: TEdit;
    PageNumberExprE: TfrxComboEdit;
    AnchorP: TPanel;
    AnchorL: TLabel;
    AnchorExprL: TLabel;
    AnchorE: TEdit;
    AnchorExprE: TfrxComboEdit;
    CustomP: TPanel;
    CustomL: TLabel;
    CustomExprL: TLabel;
    CustomE: TEdit;
    CustomExprE: TfrxComboEdit;
    ReportP: TPanel;
    ReportValueL: TLabel;
    ReportExprL: TLabel;
    ReportValueE: TEdit;
    ReportExprE: TfrxComboEdit;
    ReportNameL: TLabel;
    ReportNameE: TfrxComboEdit;
    ReportParamL: TLabel;
    ReportParamCB: TComboBox;
    ReportPageP: TPanel;
    ReportPageValueL: TLabel;
    ReportPageExprL: TLabel;
    ReportPageL: TLabel;
    ReportPageParamL: TLabel;
    ReportPageValueE: TEdit;
    ReportPageExprE: TfrxComboEdit;
    ReportPageParamCB: TComboBox;
    ReportPageCB: TComboBox;
    OpenDialog: TOpenDialog;
    ModifyAppearanceCB: TCheckBox;
    procedure UrlRBClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ExprClick(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure ReportNameEButtonClick(Sender: TObject);
  private
    { Private declarations }
    procedure FillVariablesList(Report: TfrxReport; List: TStrings); overload;
    procedure FillVariablesList(const FileName: String; List: TStrings); overload;
    procedure FillPagesList;
  public
    { Public declarations }
    View: TfrxView;
    procedure UpdateResouces; override;
  end;

implementation
end.
