unit frxMapLayerForm;

interface

{$I frx.inc}

uses
{$IFNDEF FPC}
  Windows, Messages,
{$ELSE}
  LCLType, LCLIntf, LCLProc, LazHelper, ColorBox,
{$ENDIF}
  SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, frxCtrls, frxMapHelpers, frxBaseForm
{$IFDEF FPC}
  ,EditBtn
{$ENDIF};

type
  TfrxMapLayerForm = class(TfrxBaseForm)
    btnOk: TButton;
    btnCancel: TButton;
    rbMapFile: TRadioButton;
    edMapFile: TfrxComboEdit;
    cbEmbed: TCheckBox;
    rbAppData: TRadioButton;
    lblSelect: TLabel;
    OpenDialog: TOpenDialog;
    rbInteractive: TRadioButton;
    rbGeodata: TRadioButton;
    procedure edMapFileButtonClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    function IsEmbed: Boolean;
    function LayerType: TLayerType;
    function MapFile: string;
    procedure EnableInteractive(Value: boolean);
    procedure UpdateResouces; override;
  end;

implementation
end.
