{$DEFINE TRIAL}
{$I frVer.inc}

{$IFDEF FPC} // Free pascal compiler
  {$IFNDEF FPCUNICODE}
    {$MODE DELPHI}
  {$ENDIF}
  {$DEFINE DELPHI6} // in order to use Variants
  {$DEFINE CROSS_COMPILE}
  {$DEFINE USE_THEMES}
  {$DEFINE USE_FORMATSETTINGS}
{$ENDIF}

{$IFDEF DELPHI7}
  {$DEFINE USE_THEMES}
{$ENDIF}

{$IFDEF DELPHI15}
  {$DEFINE USE_FORMATSETTINGS}
{$ENDIF}

// -------------- components include -----------------

//{$DEFINE INCLUDE_FAST_SCRIPT} // fastscript interpreter
//{$DEFINE FASTREPORT4}         // use FastReport4

// for internal use of developers
// -- possible demo variants of components
//{$DEFINE TRIAL}
//{$DEFINE ACADEMIC}
//{$DEFINE FC_BASIC}
// -- debug purposes
//{$DEFINE DEBUG_XAxis}
//{$DEFINE DEBUG_YAxis}
{$IFDEF ACADEMIC}
  {$DEFINE TRIAL}
{$ENDIF}

{$IFDEF DEBUG_XAxis}
  {$DEFINE DEBUG_Axis}
{$ENDIF}
{$IFDEF DEBUG_YAxis}
  {$DEFINE DEBUG_Axis}
{$ENDIF}

{$IFDEF DELPHI6}
  {$DEFINE SQL_TYPES_EXTRA0}
  {$IFNDEF FPC}
    {$DEFINE SQL_TYPES_EXTRA1}
  {$ENDIF}
{$ENDIF}

//{$define UseAnsiString}
//{$define UseWideString}
//{$define UseUnicodeString}

{$IFDEF UseAnsiString}
  {$UNDEF UseWideString}
  {$UNDEF UseUnicodeString}
{$ENDIF}

{$IFDEF UseWideString}
  {$UNDEF UseUnicodeString}
{$ENDIF}

{$IFDEF FMX}
  {$UNDEF UseAnsiString}
  {$UNDEF UseWideString}
  {$UNDEF UseUnicodeString}
{$ENDIF}

{$ifdef UseWideString}
  {$ifndef DELPHI10}
     {$DEFINE UsefcWideStrings}
  {$endif}
{$endif}

// starting with delphi 2006(?) internal representation of widestring fields has
// been changed from PWideString to PWideChar
{$IFNDEF DELPHI10}
  {$IFNDEF FPC}
     {$DEFINE WideStringFieldIsPWideString}
  {$ENDIF}
{$ENDIF}
